Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.util
Class EngineAPIConst

    java.lang.Object
      jet.cs.util.EngineAPIConst

    public class EngineAPIConst

extends java.lang.Object

Field Summary
`static int` | `BIG5` Indicates converter encoding.
`static int` | `DHTMLFILEMAIL` Indicates the DHTML format file as e-mail attachment when exported to mail.
`static int` | `EXPORTSHAPE` Indicates to export geometry object to excel file.
`static int` | `GB` Indicates converter encoding.
`static int` | `GROUP`
`static int` | `HIDDEN` Indicates the html text overflow type is HIDDEN.
`static int` | `HTMLFILEMAIL` Indicates the HTML format file as e-mail attachment when exported to mail.
`static int` | `HTMLMAIL` Indicates the HTML e-mail format when exported to mail.
`static int` | `IE` Indicates the html browser is IE.
`static int` | `KEEPORIGIN` Indicates to keep wardwrap.
`static int` | `LANDSCAPE` The origin is at the bottom left of the paper with x running bottom to top and y running left to right.
`static int` | `LAYOUT`
`static int` | `NETSCAPE` Indicates the html browser is NETSCAPE.
`static int` | `NOEXPORTSHAPE` Indicates to export geometry object to excel file.
`static int` | `NOWORDWRAP` Indicates no wardwrap.
`static int` | `PDFFILEMAIL` Indicates the PDF format file as e-mail attachment when exported to mail.
`static int` | `PLAINTXTMAIL` Indicates the Plain Text e-mail format when exported to mail.
`static int` | `PORTRAIT` The origin is at the top left of the paper with x running to the right and y running down the paper.
`static int` | `PSFILEMAIL` Indicates the PostScript format file as e-mail attachment when exported to mail.
`static int` | `RSTFILEMAIL` Indicates the RST format file as e-mail attachment when exported to mail.
`static int` | `RTFFILEMAIL` Indicates the RTF format file as e-mail attachment when exported to mail.
`static int` | `SDFTEXTMAIL` Indicates the SDF Text format file as e-mail attachment when exported to mail.
`static int` | `vDebug` Indicates to open the debug.
`static int` | `vError` Indicates to open the error.
`static int` | `VISIBLE` Indicates the html text overflow type is VISIBLE.
`static int` | `vOff` Indicates to close the debug.
`static int` | `WORDWRAPALL` Indicates all wardwrap.
`static int` | `XLSFILEMAIL` Indicates the Excel format file as e-mail attachment when exported to mail.
`static int` | `XMLFILEMAIL` Indicates the XML format file as e-mail attachment when exported to mail.

Constructor Summary
`EngineAPIConst()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAYOUT

    public static final int LAYOUT

### GROUP

    public static final int GROUP

### vOff

    public static final int vOff

  Indicates to close the debug.

  See Also:
    Constant Field Values

### vDebug

    public static final int vDebug

  Indicates to open the debug.

  See Also:
    Constant Field Values

### vError

    public static final int vError

  Indicates to open the error.

  See Also:
    Constant Field Values

### LANDSCAPE

    public static final int LANDSCAPE

  The origin is at the bottom left of the paper with x running bottom to top and y running left to right. Note that this is not the Macintosh landscape but is the Window's and PostScript landscape.

  See Also:
    Constant Field Values

### PORTRAIT

    public static final int PORTRAIT

  The origin is at the top left of the paper with x running to the right and y running down the paper.

  See Also:
    Constant Field Values

### RSTFILEMAIL

    public static final int RSTFILEMAIL

  Indicates the RST format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### HTMLMAIL

    public static final int HTMLMAIL

  Indicates the HTML e-mail format when exported to mail.

  See Also:
    Constant Field Values

### HTMLFILEMAIL

    public static final int HTMLFILEMAIL

  Indicates the HTML format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### PDFFILEMAIL

    public static final int PDFFILEMAIL

  Indicates the PDF format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### PLAINTXTMAIL

    public static final int PLAINTXTMAIL

  Indicates the Plain Text e-mail format when exported to mail.

  See Also:
    Constant Field Values

### SDFTEXTMAIL

    public static final int SDFTEXTMAIL

  Indicates the SDF Text format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### PSFILEMAIL

    public static final int PSFILEMAIL

  Indicates the PostScript format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### XLSFILEMAIL

    public static final int XLSFILEMAIL

  Indicates the Excel format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### RTFFILEMAIL

    public static final int RTFFILEMAIL

  Indicates the RTF format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### XMLFILEMAIL

    public static final int XMLFILEMAIL

  Indicates the XML format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### DHTMLFILEMAIL

    public static final int DHTMLFILEMAIL

  Indicates the DHTML format file as e-mail attachment when exported to mail.

  See Also:
    Constant Field Values

### IE

    public static final int IE

  Indicates the html browser is IE.

  See Also:
    Constant Field Values

### NETSCAPE

    public static final int NETSCAPE

  Indicates the html browser is NETSCAPE.

  See Also:
    Constant Field Values

### VISIBLE

    public static final int VISIBLE

  Indicates the html text overflow type is VISIBLE.

  See Also:
    Constant Field Values

### HIDDEN

    public static final int HIDDEN

  Indicates the html text overflow type is HIDDEN.

  See Also:
    Constant Field Values

### KEEPORIGIN

    public static final int KEEPORIGIN

  Indicates to keep wardwrap.

  See Also:
    Constant Field Values

### NOWORDWRAP

    public static final int NOWORDWRAP

  Indicates no wardwrap.

  See Also:
    Constant Field Values

### WORDWRAPALL

    public static final int WORDWRAPALL

  Indicates all wardwrap.

  See Also:
    Constant Field Values

### EXPORTSHAPE

    public static final int EXPORTSHAPE

  Indicates to export geometry object to excel file.

  See Also:
    Constant Field Values

### NOEXPORTSHAPE

    public static final int NOEXPORTSHAPE

  Indicates to export geometry object to excel file.

  See Also:
    Constant Field Values

### GB

    public static final int GB

  Indicates converter encoding.

### BIG5

    public static final int BIG5

  Indicates converter encoding.

Constructor Detail

### EngineAPIConst

    public EngineAPIConst()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD